/*!
* \file joueurList.h
* \brief Fichier contenant les signatures de la liste de Joueur.
*/

#ifndef JOUEUR_LIST_H
#define JOUEUR_LIST_H

#include "structures.h"

// Fonctions concernant la structure NodeJoueur
NodeJoueur * initNodeJoueur(Joueur * joueur);
void deleteNodeJoueur(NodeJoueur * j);

// Fonctions concernant la structure ListJoueur
ListJoueur * initJoueurList();
void deleteJoueurList(ListJoueur * l);

void printJoueurList(ListJoueur * l);

int emptyJoueurList(ListJoueur * l);
int outOfJoueurList(ListJoueur * l);

void setOnFirstJoueur(ListJoueur * l);
void nextJoueur(ListJoueur * l);
Joueur * getCurrentJoueur(ListJoueur * l);

int addNodeJoueurFirst(ListJoueur * l, NodeJoueur * j);
int addNodeJoueurLast(ListJoueur * l, NodeJoueur * j);
int deleteCurrentNodeJoueur(ListJoueur * l);

void setOnJoueur(ListJoueur * l, Joueur * j);

int deleteNodeJoueurFromList(ListJoueur * l, Joueur * j);

#endif // JOUEUR_LIST_H
